module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_1002/Prefabs/1002_charge.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_100202_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={action_name=[[attack2]],action_time=2,excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.6,
		},
		[5]={
			args={
				alive_time=1.75,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_1002/Prefabs/1002_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.6,
		},
		[6]={
			args={
				alive_time=0.6,
				ease_hide_time=0.5,
				ease_show_time=0.3,
				excutor=[[atkobj]],
				mat_path=[[Material/effect_Fresnel_Blue.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.9,
		},
		[7]={
			args={color={a=0,b=255,g=255,r=255,},excutor=[[atkobj]],fade_time=0.5,},
			func_name=[[ActorColor]],
			start_time=1.5,
		},
		[8]={
			args={
				alive_time=1.75,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_1002/Prefabs/1002_buff.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.9,
		},
		[9]={args={excutor=[[atkobj]],},func_name=[[LockHide]],start_time=2,},
		[10]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=2.2,
		},
		[11]={args={},func_name=[[End]],start_time=2.4,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_1002/Prefabs/1002_charge.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_1002/Prefabs/1002_attack2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_1002/Prefabs/1002_buff.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
